#!/bin/sh
#
#	ccard - credit card number validation
#	1994 Peter Miller
#	Public Domain
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# MANIFEST: shell script to generate the MANIFEST file
#
echo
echo
echo "MANIFEST	This file."
for f in $*
do
	case $f in
	MANIFEST)
		;;
	README)
		info="Blurb about ccard"
		;;
	BUILDING)
		info="Instructions how to build, test and install ccard"
		;;
	aux/CHANGES*)
		info="Change history of ccard"
		;;
	Makefile)
		info="Instructions to make(1) how to build and test ccard"
		;;
	patchlevel.h)
		info="The patch level of this distribution."
		;;
	aux/version.so)
		info="The patch level of this distribution."
		;;
	aux/new.so)
		info="Indirection to release note for this release."
		;;
	configure)
		info="Shell script to construct Makefile and common/config.h"
		;;
	Makefile.in)
		info="Template for Makefile, used by configure"
		;;
	config.h.in*)
		info="Template for common/config.h, used by configure"
		;;
	aux/template/*)
		info="New file template."
		;;
	*)
		info=`awk '
/[ 	]MANIFEST:[ 	]/ {
	for (j = 1; j < NF; ++j)
		if ($j == "MANIFEST:")
			break;
	for (k = j + 1; k <= NF; ++k)
		printf(" %s", $k);
	printf("\n");
	exit;
}' $f`
		;;
	esac
	echo "$f	$info"
done
exit 0
