#!/bin/sh
#
#	ccard - credit card number validation
#	1994, 1995 Peter Miller
#	Public Domain
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# MANIFEST: shell script to generate Makefile fragment for each source file
#
case $# in
2)
	;;
*)
	echo "usage: $0 filename resolved-filename" 1>&2
	exit 1
	;;
esac
file="$1"
rfn="$2"

case $file in

*.c)
	root=`basename $file .c`
	stem=`echo $file | sed 's/\.c$//'`
	dir=`echo $file | sed 's|/.*||'`

	depfile=`echo $file | sed 's/\.c$/.d/'`
	if [ -r $depfile ]; then
		dep=`sed -e '1d' -e '$d' -e 's_.arch]/__' $depfile`
	else
		depfile=`echo $rfn | sed 's/\.c$/.d/'`
		if [ -r $depfile ]; then
			dep=`sed -e '1d' -e '$d' -e 's_.arch]/__' $depfile`
		fi
	fi

	echo ""
	echo "${stem}.o: $file" $dep
	echo "	$(CC) $(CFLAGS) -I. -c $file"
	;;

man1/*.1)
	root=`basename $file .1`
	echo ""
	echo "$(mandir)/man1/$root.1: $file"
	echo "	(cd man1; soelim $root.1) > tmp"
	echo "	$(INSTALL_DATA) tmp $(mandir)/man1/$root.1"
	echo "	@rm tmp"
	;;

test/*/*)
	root=`basename $file .sh`
	echo ""
	echo "$root: $file all"
	echo "	$(SH) $file"
	;;

*)
	;;
esac
exit 0
