#!/bin/sh
#
#	ccard - credit card number validation
#	1994 Peter Miller
#	Public Domain
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# MANIFEST: shell script to generate Makefile file
#
ALL="ccard"
ccard_files=
test_files=
clean_files="core y.tab.c y.tab.h"
man_files=
for file in $*
do
	case $file in

	*.c)
		stem=`echo $file | sed 's/\.c$//'`
		ccard_files="$ccard_files ${stem}.o"
		clean_files="$clean_files ${stem}.o"
		;;

	test/*/*)
		root=`basename $file .sh`
		test_files="$test_files ${root}"
		;;

	man1/*.1)
		root=`basename $file .1`
		man_files="$man_files $(mandir)/man1/$root.1"
		clean_files="$clean_files man1/${root}.h"
		;;

	*)
		;;
	esac
done

echo ""
echo "CcardObj =" $ccard_files

echo ""
echo "ccard: $(CcardObj)"
echo "	$(CC) $(LDFLAGS) -o ccard $(CcardObj) $(LIBS)"
echo ""
echo "$(bindir)/ccard: ccard"
echo "	$(INSTALL_PROGRAM) ccard $(bindir)/ccard"

echo ""
echo "sure:" $test_files
echo "	@echo Passed All Tests"

echo ""
echo "clean-obj:"
echo "	rm -f" $clean_files

echo ""
echo "clean: clean-obj"
echo "	rm -f" $ALL

echo ""
echo "distclean: clean"
echo "	rm -f Makefile common/config.h config.status"

echo ""
echo "install-bin:" ccard

echo ""
echo "install-man:" $man_files

echo ""
echo "install: install-bin install-man"

exit 0
